﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Windows.Threading;

namespace xamDataChart1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        protected ObservableDataSource DataSource = new ObservableDataSource();
        int count = 0;
        public MainWindow()
        {
            InitializeComponent();
            this.DataChart.Series[0].ItemsSource = this.DataSource;
            DispatcherTimer dataUpdateTimer = new DispatcherTimer();
            dataUpdateTimer.Interval = TimeSpan.FromSeconds(0.5);
            dataUpdateTimer.Tick += new EventHandler(dataUpdateTimer_Tick);
            dataUpdateTimer.Start();
        }
        void dataUpdateTimer_Tick(object sender, EventArgs e)
        {
            this.DataSource.Add(
                new ObservableDataPoint
                {
                    X = ++count,
                    Y = (++count % 5),
                });        
		}
    }
}
